MISSINdevelopersLog in

API reference

ConnectionSyncRuns

List recent sync runs for one connection. Read access, integrations toolset, MCP tool get_connection_sync_runs.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
connectionIdUUID!yesChecks for equality with the object’s connectionId field.
firstIntno32-bit integer. Default 24

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"ConnectionSyncRuns","variables":{"connectionId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"213e7e8c63221ea3e392b4bd243df78c334c57305cb8c25bda36f176dbcbce84"}}}'

Document

graphql
query ConnectionSyncRuns($connectionId: UUID!, $first: Int = 24) { __typename allSyncRuns( condition: {connectionId: $connectionId} orderBy: [CREATED_AT_DESC] first: $first ) { __typename nodes { __typename connectionId createdAt done error failed finishedAt id resource rowId startedAt status total trigger } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.